# Mushroom dashboard strategy

[![release][releaseBadge]][releaseUrl]
[![hacs][hacsBadge]][hacsUrl]

![Preview GIF](./docs/preview.gif)

<details>
  <summary>More images...</summary>

![Automatic](./docs/auto.png)

![Views](./docs/views.png)

![customizable](./docs/customizable.png)
</details>

## What is the Mushroom Dashboard Strategy?

Mushroom Dashboard Strategy provides a strategy for Home Assistant to automatically generate a dashboard using Mushroom
cards.

It generates cards for your Home Assistants entities and areas, divided over several views.
Besides a Home view from where you can enter a subview of your areas, a separate view for lights, fans and other domains
are generated for easy access to your entities.

### Features

- 🛠 Automatically create dashboard with three lines of yaml.
- 😍 Built-in Views for device-specific controls.
- 🎨 Many options to customize to fit your needs.

> [!TIP]
> If you like this package, please star the [project at GitHub](https://github.com/AalianKhan/mushroom-strategy)! 🌟

## Getting started

The strategy is easily installable from [HACS][hacsUrl] (Home Assistant Community Store).
Please visit [Installation Guide](https://github.com/AalianKhan/mushroom-strategy/wiki/#installation) at our Wiki.

## Need some help?

Visit the [Discussions](https://github.com/AalianKhan/mushroom-strategy/discussions) page or the [Wiki](https://github.com/AalianKhan/mushroom-strategy/wiki).

## Have an idea or want to report a bug?

Make sure your idea or bug isn't discussed already in our Discussions or Issues!
Visit the [issues](https://github.com/AalianKhan/mushroom-strategy/issues/new/choose) page.


## Contributors

* [DigiLive](https://github.com/DigiLive)

  [![Sponsor DigiLive][sponsorBadge]](https://github.com/sponsors/DigiLive)

* [Johan Frick](https://github.com/johanfrick)

## Credits

* The cards used are from [Mushroom][mushroomUrl] and [Mini graph card][miniGraphUrl].
* Took inspiration from [Balloob battery strategy][balloobBatteryUrl].

<!-- Badge References -->

[hacsBadge]: https://img.shields.io/badge/HACS-Default-blue

[sponsorBadge]: https://img.shields.io/badge/Sponsor_him-%E2%9D%A4-%23db61a2.svg?&logo=github&color=%23fe8e86

[releaseBadge]: https://img.shields.io/badge/Release-v2.2.0-blue

<!-- Other References -->

[hacsUrl]: https://hacs.xyz

[releaseUrl]: https://github.com/AalianKhan/mushroom-strategy/releases/tag/v2.2.0

[mushroomUrl]: https://github.com/piitaya/lovelace-mushroom

[miniGraphUrl]: https://github.com/kalkih/mini-graph-card

[balloobBatteryUrl]: https://gist.github.com/balloob/4a70c83287ddba4e9085cb578ffb161f
